"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
// import css
require("../../css/default-modal.css");
require("../../css/margins.css");
const Mito_1 = require("./Mito");
/*
    DefaultModal is a higher-order component that
    takes a modal and a header, and displays it as a component.

    The modal has props
    - a header string to be shown at the top of the modal
    - a modalType to indicate the font color of the header string
    - a viewComponent, a react fragment which is the center segment of the modal.
        ie: an input field or text
    - a buttons component, react divs which have onclick functions to apply functions.
        the modal is designed to take either 1 or 2 buttons where the left button is always
        the close button.
*/
const DefaultModal = (props) => {
    const headerColor = props.modalType === Mito_1.ModalEnum.Error ? '#ED4747' : '#343434';
    return (react_1.default.createElement("div", { className: 'modal-container' },
        react_1.default.createElement("div", { className: 'modal' },
            react_1.default.createElement("div", { className: 'modal-header-text-div', style: { color: headerColor } },
                react_1.default.createElement("p", null, props.header)),
            react_1.default.createElement("div", { className: "modal-message" }, props.viewComponent),
            react_1.default.createElement("div", { className: "modal-buttons" }, props.buttons))));
};
exports.default = DefaultModal;
//# sourceMappingURL=DefaultModal.js.map