"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
require("../../css/function-documentation.css");
require("../../css/margins.css");
/*
    Returns a sidebar that contains the documentation for a single function.
*/
const FunctionDocumentation = (props) => {
    var _a, _b;
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("div", { className: 'function-documentation-header' },
            react_1.default.createElement("div", { className: 'function-documentation-header-back', onClick: () => { props.setSelectedFunction(''); } },
                react_1.default.createElement("svg", { width: "7", height: "11", viewBox: "0 0 7 11", fill: "none", xmlns: "http://www.w3.org/2000/svg" },
                    react_1.default.createElement("path", { d: "M0 5.5L6.75 0.73686L6.75 10.2631L0 5.5Z", fill: "black" }))),
            react_1.default.createElement("div", { className: 'function-documentation-header-text' },
                props.funcDocObject.function,
                " Documentation"),
            react_1.default.createElement("div", { className: 'function-documentation-header-close', onClick: () => { props.setDocumentation(false); } }, "X")),
        react_1.default.createElement("div", { className: 'function-documentation' },
            react_1.default.createElement("h1", { className: 'function-documentation-function-name' }, props.funcDocObject.function),
            react_1.default.createElement("p", null, props.funcDocObject.description),
            react_1.default.createElement("h2", { className: 'mb-0' }, "Examples"),
            react_1.default.createElement("ul", { className: 'function-documentation-example-list blue-text' }, (_a = props.funcDocObject.examples) === null || _a === void 0 ? void 0 : _a.map((example) => {
                return react_1.default.createElement("li", { className: 'function-documentation-example', key: example }, example);
            })),
            react_1.default.createElement("h2", { className: 'mb-0' }, "Syntax"),
            react_1.default.createElement("p", { className: 'blue-text' }, props.funcDocObject.syntax),
            react_1.default.createElement("ul", null, (_b = props.funcDocObject.syntax_elements) === null || _b === void 0 ? void 0 : _b.map((syntax_element) => {
                return (react_1.default.createElement("li", { key: syntax_element.element },
                    react_1.default.createElement("p", { className: 'blue-text' }, syntax_element.element),
                    syntax_element.description));
            })))));
};
exports.default = FunctionDocumentation;
//# sourceMappingURL=FunctionDocumentation.js.map