"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const Mito_1 = require("./Mito");
const DefaultModal_1 = __importDefault(require("./DefaultModal"));
// import css
require("../../css/margins.css");
/*
    A modal that allows users to input a file path to
    repeat the current analysis on that file, in a
    new Jupyter code cell.
*/
const RepeatAnalysisModal = (props) => {
    const [fileName, setFileName] = react_1.useState('');
    function repeatAnalysis() {
        var _a, _b;
        (_a = window.logger) === null || _a === void 0 ? void 0 : _a.track({
            userId: window.user_id,
            event: 'button_repeat_analysis_log_event',
            properties: {
                stage: 'repeated',
                fileName: fileName
            }
        });
        (_b = window.commands) === null || _b === void 0 ? void 0 : _b.execute('repeat-analysis', { fileName: fileName });
        props.setModal({ type: Mito_1.ModalEnum.None });
    }
    return (react_1.default.createElement(DefaultModal_1.default, { header: 'Repeat analysis', modalType: Mito_1.ModalEnum.RepeatAnalysis, viewComponent: react_1.default.createElement(react_1.Fragment, null,
            react_1.default.createElement("div", { className: "mt-2" },
                react_1.default.createElement("p", null, "Select a csv file to repeat your analysis on."),
                react_1.default.createElement("input", { className: "mt-2 modal-input", type: "text", placeholder: 'datafile2.csv', value: fileName, onChange: (e) => { setFileName(e.target.value); } }))), buttons: react_1.default.createElement(react_1.Fragment, null,
            react_1.default.createElement("div", { className: 'modal-close-button modal-dual-button-left', onClick: () => { props.setModal({ type: Mito_1.ModalEnum.None }); } }, " Close "),
            react_1.default.createElement("div", { className: 'modal-action-button modal-dual-button-right', onClick: () => { repeatAnalysis(); } },
                " ",
                "Repeat Analysis")) }));
};
exports.default = RepeatAnalysisModal;
//# sourceMappingURL=RepeatAnalysisModal.js.map