"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
// Import Components 
const Tooltip_1 = __importDefault(require("../Tooltip"));
require("../../../css/documentation-basic-example.css");
/*
    Returns a documentation entry for displaying your first
    mito sheet - with copyable Python code!
*/
const CallMitoSheetExampleContent = () => {
    const [copyStatus, setCopyStatus] = react_1.useState('Click to copy!');
    const copyToClipBoard = () => {
        // We create a temporary element to make copying to the clipboard easy!
        const elem = document.createElement("textarea");
        document.body.appendChild(elem);
        elem.value = 'import pandas as pd\nimport mitosheet\ndf = pd.DataFrame(data={\'Data\': [\'ABC\', \'DEF\']})\nmitosheet.sheet(df)';
        elem.select();
        document.execCommand("copy");
        document.body.removeChild(elem);
        setCopyStatus('Copied!');
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("div", { className: 'documentation-basic-example-title' }, "Basic Example Documentation"),
        react_1.default.createElement("p", null, "To edit a Mito sheet, you first have to display your data inside one!"),
        react_1.default.createElement("div", { className: 'documentation-basic-example-section-title' }, "Instructions"),
        react_1.default.createElement("p", null, "Copy the following code into a cell in your notebook, and run it:"),
        react_1.default.createElement("div", { className: 'documentation-basic-example-python' },
            react_1.default.createElement("div", { className: 'documentation-basic-example-python-code mb-1', onClick: copyToClipBoard, onMouseLeave: () => { setCopyStatus('Click to copy!'); } },
                react_1.default.createElement("div", null, "import pandas as pd"),
                react_1.default.createElement("div", null, "import mitosheet"),
                react_1.default.createElement("div", null,
                    "df = pd.DataFrame(data=",
                    '{',
                    "'Data': ['ABC', 'DEF']",
                    '}'),
                react_1.default.createElement("div", null, "mitosheet.sheet(df)")),
            react_1.default.createElement(Tooltip_1.default, { tooltip: copyStatus }))));
};
exports.default = CallMitoSheetExampleContent;
//# sourceMappingURL=CallMitoSheetExampleContent.js.map