"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
require("../../../css/documentation-sidebar.css");
const listIcon = (react_1.default.createElement("svg", { width: "16", height: "18", viewBox: "0 0 16 18", fill: "none", xmlns: "http://www.w3.org/2000/svg" },
    react_1.default.createElement("mask", { id: "path-1-inside-1", fill: "white" },
        react_1.default.createElement("rect", { width: "16", height: "18", rx: "1" })),
    react_1.default.createElement("rect", { width: "16", height: "18", rx: "1", stroke: "#0081DE", strokeWidth: "2.4", mask: "url(#path-1-inside-1)" }),
    react_1.default.createElement("line", { x1: "2", y1: "3.2", x2: "14", y2: "3.2", stroke: "#0081DE", strokeWidth: "1.2" }),
    react_1.default.createElement("line", { x1: "2", y1: "7", x2: "14", y2: "7", stroke: "#0081DE", strokeWidth: "1.2" }),
    react_1.default.createElement("line", { x1: "2", y1: "10.8", x2: "14", y2: "10.8", stroke: "#0081DE", strokeWidth: "1.2" }),
    react_1.default.createElement("line", { x1: "2", y1: "14.6", x2: "14", y2: "14.6", stroke: "#0081DE", strokeWidth: "1.2" })));
const function_documentation_1 = require("../../data/function_documentation");
const BasicExampleContainer_1 = require("./BasicExampleContainer");
/*
    This documentation sidebar content displays a list of all
    documentation entries users can select.

    These are either:
    1. Basic examples (e.g. how to write a formula)
    2. Function documentations
*/
const DocumentationListContent = (props) => {
    const basicExamplesList = BasicExampleContainer_1.basicExamples.map((basicExample) => {
        return (react_1.default.createElement("li", { className: 'documentation-sidebar-content-function-list-element', key: basicExample.basicExampleName, onClick: () => {
                props.setSelectedDocumentation({
                    kind: 'basic',
                    basicExampleName: basicExample.basicExampleName
                });
            } },
            react_1.default.createElement("div", { className: 'documentation-sidebar-content-function-list-icon' }, listIcon),
            basicExample.basicExampleName));
    });
    const functionNameList = function_documentation_1.functionDocumentationObjects.map((funcDocObject) => {
        return (react_1.default.createElement("li", { className: 'documentation-sidebar-content-function-list-element', key: funcDocObject.function, onClick: () => {
                props.setSelectedDocumentation({
                    kind: 'function',
                    function: funcDocObject.function
                });
            } },
            react_1.default.createElement("div", { className: 'documentation-sidebar-content-function-list-icon' }, listIcon),
            funcDocObject.function));
    });
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("div", { className: 'documentation-sidebar-content-function-list-title' }, "Basic Examples"),
        react_1.default.createElement("ul", { className: 'documentation-sidebar-content-function-list' }, basicExamplesList),
        react_1.default.createElement("div", { className: 'documentation-sidebar-content-function-list-section-title' }, "Functions"),
        react_1.default.createElement("ul", { className: 'documentation-sidebar-content-function-list' }, functionNameList)));
};
exports.default = DocumentationListContent;
//# sourceMappingURL=DocumentationListContent.js.map