"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
require("../../../css/function-documentation.css");
require("../../../css/margins.css");
const function_documentation_1 = require("../../data/function_documentation");
/*
    Returns content for the documentation sidebar that includes documentation
    for a specific function!
*/
const FunctionDocumentationContent = (props) => {
    var _a, _b;
    const funcDocObject = function_documentation_1.functionDocumentationObjects.find((funcDocObject) => {
        return funcDocObject.function === props.function;
    });
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("h1", { className: 'function-documentation-function-name' }, funcDocObject === null || funcDocObject === void 0 ? void 0 : funcDocObject.function),
        react_1.default.createElement("p", null, funcDocObject === null || funcDocObject === void 0 ? void 0 : funcDocObject.description),
        react_1.default.createElement("h2", { className: 'mb-0' }, "Examples"),
        react_1.default.createElement("ul", { className: 'function-documentation-example-list blue-text' }, (_a = funcDocObject === null || funcDocObject === void 0 ? void 0 : funcDocObject.examples) === null || _a === void 0 ? void 0 : _a.map((example) => {
            return react_1.default.createElement("li", { className: 'function-documentation-example', key: example }, example);
        })),
        react_1.default.createElement("h2", { className: 'mb-0' }, "Syntax"),
        react_1.default.createElement("p", { className: 'blue-text' }, funcDocObject === null || funcDocObject === void 0 ? void 0 : funcDocObject.syntax),
        react_1.default.createElement("ul", null, (_b = funcDocObject === null || funcDocObject === void 0 ? void 0 : funcDocObject.syntax_elements) === null || _b === void 0 ? void 0 : _b.map((syntax_element) => {
            return (react_1.default.createElement("li", { key: syntax_element.element },
                react_1.default.createElement("p", { className: 'blue-text' }, syntax_element.element),
                syntax_element.description));
        }))));
};
exports.default = FunctionDocumentationContent;
//# sourceMappingURL=FunctionDocumentationContent.js.map