"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
require("../../../../css/documentation-basic-example.css");
/*
    Returns a documentation entry telling a user how to
    write their first formula!
*/
const FirstFormulaExampleContent = () => {
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("div", { className: 'documentation-basic-example-title' }, "Writing your first formula"),
        react_1.default.createElement("p", null, "Mito allows you to write Excel-like formulas to transform your data."),
        react_1.default.createElement("div", { className: 'documentation-basic-example-section-title' }, "Instructions"),
        react_1.default.createElement("ol", { className: 'documentation-basic-example-instructions-list' },
            react_1.default.createElement("li", { className: 'documentation-basic-example-instructions-list-element' },
                react_1.default.createElement("div", null, "1."),
                react_1.default.createElement("div", { className: 'documentation-basic-example-instructions-list-element-content' },
                    "Click the Add Column button in the Mito toolbar to create an empty column on the right of the sheet.",
                    react_1.default.createElement("svg", { className: 'documentation-basic-example-instructions-list-element-content-centered', width: "22", height: "30", viewBox: "0 0 8 12", fill: "none", xmlns: "http://www.w3.org/2000/svg" },
                        react_1.default.createElement("path", { d: "M6.45459 1V2.81818", stroke: "#343434", strokeWidth: "0.7", strokeLinecap: "round" }),
                        react_1.default.createElement("path", { d: "M7.36365 1.90909L5.54547 1.90909", stroke: "#343434", strokeWidth: "0.7", strokeLinecap: "round" }),
                        react_1.default.createElement("path", { d: "M6.45455 4.18182V6.90909V10.5455C6.45455 10.7965 6.25104 11 6 11H1.45455C1.20351 11 1 10.7965 1 10.5455V1.45455C1 1.20351 1.20351 1 1.45455 1H4.8961", stroke: "#343434", strokeWidth: "0.7" }),
                        react_1.default.createElement("rect", { x: "1", y: "4.63635", width: "5.45455", height: "3.63636", fill: "#343434", fillOpacity: "0.19" })))),
            react_1.default.createElement("li", { className: 'documentation-basic-example-instructions-list-element' },
                react_1.default.createElement("div", null, "2."),
                react_1.default.createElement("div", { className: 'documentation-basic-example-instructions-list-element-content' },
                    "Double click on a cell in the new column and write a basic formula:",
                    react_1.default.createElement("div", { className: 'documentation-basic-example-instructions-list-element-content-centered' }, "=4 + 5"))),
            react_1.default.createElement("li", { className: 'documentation-basic-example-instructions-list-element' },
                react_1.default.createElement("div", null, "3."),
                react_1.default.createElement("div", { className: 'documentation-basic-example-instructions-list-element-content' },
                    "Double click the cell again. Enter the formula:",
                    react_1.default.createElement("div", { className: 'documentation-basic-example-instructions-list-element-content-centered mb-1' }, "=LEFT(FirstColumn)"),
                    "Replace FirstColumn with the name of the first column in your data. The column will update with the first characters from the first column!")),
            react_1.default.createElement("li", { className: 'documentation-basic-example-instructions-list-element' },
                react_1.default.createElement("div", null, "4."),
                react_1.default.createElement("div", { className: 'documentation-basic-example-instructions-list-element-content' }, "To see a full list of the functions available, click the back arrow at the top of this sidebar and scroll down!")))));
};
exports.default = FirstFormulaExampleContent;
//# sourceMappingURL=FirstFormulaExampleContent.js.map