"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
require("../../../css/documentation-box.css");
/*
  The documentation box displays instructions on how to use
  a function beneath the cell editor.
*/
const DocumentationBox = (props) => {
    var _a;
    const examples = (_a = props.funcDocObject.examples) === null || _a === void 0 ? void 0 : _a.map((example) => {
        return (react_1.default.createElement("div", { className: 'documentation-box-example', key: example }, example));
    });
    return (react_1.default.createElement("div", { className: 'documentation-box-container' },
        react_1.default.createElement("div", { className: 'documentation-box-syntax' }, props.funcDocObject.syntax),
        react_1.default.createElement("div", { className: 'documentation-box-description' }, props.funcDocObject.description),
        react_1.default.createElement("div", { className: 'documentation-box-example-header' }, "Examples"),
        examples));
};
exports.default = DocumentationBox;
//# sourceMappingURL=DocumentationBox.js.map