"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
require("../../../css/suggestion-box.css");
/*
  The suggestion box suggests functions that you could be trying to
  type, beneath the cell editor.
*/
const SuggestionBox = (props) => {
    const selectedIndex = props.index % props.suggestions.length;
    const functionMatchesDivs = props.suggestions.map((suggestionObject, idx) => {
        const restOfSuggestion = suggestionObject.suggestion.substr(suggestionObject.match.length);
        if (idx === selectedIndex) {
            return (react_1.default.createElement("div", { key: suggestionObject.suggestion, onMouseEnter: () => props.onMouseEnterSuggestion(idx), onClick: () => { props.onSelectSuggestion(suggestionObject.match, restOfSuggestion, suggestionObject.type); } },
                react_1.default.createElement("div", { className: 'suggestion-box-selected-function' }, suggestionObject.suggestion),
                react_1.default.createElement("div", { className: 'suggestion-box-selected-description' }, suggestionObject.subtitle)));
        }
        else {
            return (react_1.default.createElement("div", { className: 'suggestion-box-function', key: suggestionObject.suggestion, onMouseEnter: () => props.onMouseEnterSuggestion(idx), onClick: () => { props.onSelectSuggestion(suggestionObject.match, restOfSuggestion, suggestionObject.type); } }, suggestionObject.suggestion));
        }
    });
    return (react_1.default.createElement("div", { className: 'suggestion-box-container' }, functionMatchesDivs));
};
exports.default = SuggestionBox;
//# sourceMappingURL=SuggestionBox.js.map