"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const Mito_1 = require("../Mito");
const DefaultModal_1 = __importDefault(require("../DefaultModal"));
// import css
require("../../../css/replay-analysis-modal.css");
/*
    A modal that displays the all existing, saved analyses, and lets
    a user select an analysis to rerun.
*/
const ReplayAnalysis = (props) => {
    const [selectedAnalysisIndex, setSelectedAnalysisIndex] = react_1.useState(-1);
    const replayAnalysis = () => {
        var _a;
        const analysisName = props.savedAnalysisNames[selectedAnalysisIndex];
        (_a = window.logger) === null || _a === void 0 ? void 0 : _a.track({
            userId: window.user_id,
            event: 'button_replay_analysis_log_event',
            properties: {
                stage: 'repeated',
                analysis_name: analysisName
            }
        });
        props.send({
            'event': 'update_event',
            'type': 'use_existing_analysis_update',
            'analysis_name': analysisName
        });
        props.setModal({ type: Mito_1.ModalEnum.None });
    };
    return (react_1.default.createElement(DefaultModal_1.default, { header: `Rerun an existing analysis on current data`, modalType: Mito_1.ModalEnum.ReplayAnalysis, viewComponent: react_1.default.createElement(react_1.Fragment, null,
            react_1.default.createElement("div", { className: 'mt-2 replay-analysis-analysis-selection-container' },
                react_1.default.createElement("div", { className: 'replay-analysis-label' }, "Select an existing analysis"),
                react_1.default.createElement("div", { className: 'replay-analysis-analysis-selection' },
                    props.savedAnalysisNames.length == 0 &&
                        react_1.default.createElement("p", null, "Save an analysis to have it appear here."),
                    props.savedAnalysisNames.map((savedAnalysisName, index) => {
                        const isSelected = selectedAnalysisIndex === index;
                        return (react_1.default.createElement("div", { key: savedAnalysisName },
                            react_1.default.createElement("input", { key: savedAnalysisName, type: "checkbox", name: savedAnalysisName, checked: isSelected, onChange: () => { setSelectedAnalysisIndex(index); } }),
                            savedAnalysisName));
                    })))), buttons: react_1.default.createElement(react_1.Fragment, null,
            react_1.default.createElement("div", { className: 'modal-close-button modal-dual-button-left', onClick: () => { props.setModal({ type: Mito_1.ModalEnum.None }); } }, " Close "),
            react_1.default.createElement("div", { className: 'modal-action-button modal-dual-button-right', onClick: replayAnalysis },
                " ",
                "Replay")) }));
};
exports.default = ReplayAnalysis;
//# sourceMappingURL=ReplayAnalysisModal.js.map